%define fname %name-%{version}

Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: 1.0.9
#Release: 1mdk
%define	rel	1
%define release %{rel}.%{distsuffix}%{distversion} 
Release:	%{release}

Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

Requires: kernel >= 2.4.18
BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version-%req_lib
BuildRequires: ncurses-devel
Requires: libalsa2 >= 1:%version
# dependancies for alsaconf:
Requires: pciutils newt cdialog

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%prep
%setup -q -n %fname

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"
%find_lang alsaconf

%post
# generate name db:
if [[ ! -e /etc/asound.names ]]; then alsactl names; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f alsaconf.lang
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/*
%_sbindir/*
%_mandir/man*/*
%_mandir/fr/man*/*
%_datadir/sounds/alsa/
%_datadir/alsa/

%changelog
* Tue May 30 2005 AndyRTR <andreas.radke@freenet.de> 1.0.9-1rtr
- rebuild for Mandriva 2005LE

* Fri May 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Wed May 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4a.2mdk
- new release
- kill source 1 (merged upstream)

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release
- kill patch 0 (merged upstream)
- source 1: add missing (not packaged) header file
- fix post-script

* Sat May 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.9-0.rc3.3mdk
- fix automake usage and build deps

* Wed May 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.2mdk
- patch 0: add support for the new naming API
- generate the name DB if needed on post-install

* Mon May 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- new release
- kill patch 0 (merged upstream)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release
- workaround buggy build system

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: propagate errors in alsactl when not using -F

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Fri Mar 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- requires cdialog too (#8764) which looks nice than newt interface and
  remove one error message that may confuse the user

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.2rc2mdk
- new release

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc1mdk
- new release (alsaconf got merged in alsa-utils)

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-3mdk
- source 1: update alsaconf

* Tue Nov 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-2mdk
- update alsaconf from cvs

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-1mdk
- new release

* Wed Oct 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-4mdk
- requires newt for alsaconf (#6039)

* Thu Sep 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-3mdk
- require lspci for alsaconf (#5686)
- fix deps for 64bits ports (Gwenole)

* Mon Sep 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-2mdk
- add alsaconf

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc7mdk
- rc7

* Mon Dec 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- remove deprecated changelog

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- ALSA 0.9.0 RC 2

* Tue Jul 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1mdk
- BuildRequires

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- remove useless mkdir
- sound group

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1mdk
- release candidate 1

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add alsactl (%%sbindir/*)

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release
